Updates the article stock location list with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
article_stock_location_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_stock_location_id |
Foreign key of the article_stock_location |
globally unique identifier |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
| article_stock_location_reference_back_office | string |
Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided |
|
| article_stock_location |
Embedded entity "article_stock_location" using ERP PK when adding/updating |
article_stock_location |
Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| quantity |
Quantity in stock for this article, for this stock |
integer |
Required |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "2c063e45-4fd8-4271-9fa1-38033ae342bd",
"article_stock_location_id": "a7f2fd0d-99dd-4b5a-8333-b5248d1d7eed",
"article_stock_location_reference_back_office": "sample string 3",
"article_id": "28b440fb-daca-49b7-86b1-a49a055af21b",
"article_code": "sample string 5",
"quantity": 6,
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-06-05T19:43:25.8973365+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.